Merchants Explore
Explore Merchants in the Violet network outside of those you're currently connected with. You can directly work with Violet to add these merchants to your network.
120Merchant Explore Request
Name of Merchant
Property to sort by in camelCase
Direction to sort by
default response
Boolean indicating if this is the last page
The total count of pages available
The total count of objects available
Boolean indicating if this is the first page of the response
The total number of objects in this specific response
The page size selected at request time
The page number selected at request time
Boolean indicating if the response content is empty
Contains the cursor for the next page. This property will only be used for situations where the API does not support the page number/page size paradigm and it will mutually exclusive with the size/number fields in the response. If this property is returned it must be passed when requesting the next page from the API. Does not apply to endpoints that do not have a next_page_cursor query param documented.
POST /v1/merchants/explore HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"name": "text",
"sort_by": "text",
"sort_direction": "text"
}default response
{
"content": [
{
"id": 1,
"name": "text",
"store_url": "text"
}
],
"last": true,
"total_pages": 1,
"total_elements": 1,
"first": true,
"number_of_elements": 1,
"size": 1,
"number": 1,
"empty": true,
"next_page_cursor": "text",
"pageable": {
"page_number": 1,
"page_size": 1,
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
},
"offset": 1,
"paged": true,
"unpaged": true
},
"sort": {
"unsorted": true,
"sorted": true,
"empty": true
}
}Last updated
Was this helpful?